#this script is used to set up Linux Base environment

#get default size of core files in accordance to the current Hardening policy
set core_limits="/etc/opt/nortel/base/corefile_limits"
if ( -r $core_limits ) then
   #since the file has Bash syntax, convert it to Csh
   foreach bash_line ( `/bin/cat $core_limits` )
      eval "set $bash_line"
   end
else
   #if the Hardening setup file does not exist, disable core files.
   set CORESOFTLIMIT=0
   set COREHARDLIMIT=0
endif

set true=1
set coresizeold=`limit coredumpsize | awk '{print $2 }'`
set apply_hard_rule=0

if ( $CORESOFTLIMIT == 0 ) then
   #Core files creation is disabled by Hardening; zero soft and hard limits explicitly 
   set apply_hard_rule=1 
else
   if ( -r /opt/nortel/base/lib/common_functions.pm ) then
      /usr/bin/perl -e 'use lib "/opt/nortel/base/lib"; use common_functions; exit is_debug_mode();'
      if ( $? == $true ) then
         set CORESOFTLIMIT="unlimited"
         set COREHARDLIMIT="unlimited"
      endif
   endif

   if ( $coresizeold == "unlimited" ) then
      #get limits from the Hardening settings
      set apply_hard_rule=1
   else if ( $coresizeold == 0 ) then
      #if core files size limit has not been sent by the parent process
      set apply_hard_rule=1
   else if ( $CORESOFTLIMIT != "unlimited" && $coresizeold > $CORESOFTLIMIT ) then
      #Hardening settings reduce core files size limits
      set apply_hard_rule=1
   endif
endif

if ( $apply_hard_rule == 1 ) then
   limit coredumpsize $CORESOFTLIMIT >/dev/null
   limit -h coredumpsize $COREHARDLIMIT >/dev/null
endif

unset apply_hard_rule
unset coresize
unset true
unset coresizeold
unset core_limits
unset CORESOFTLIMIT
unset COREHARDLIMIT

#set readonly timeout for all system accounts
set -r autologout=900
