#!/bin/bash

## @file cmdbase_wrapper_sudo.sh
# @brief File contains implementation of LinuxBase commands and need root privileges.
# @details sudo wrapper  should be created to this file during LinuxBase rpmbuild.
# @date October, 2008
# @author Kryazhev, Sergey
# @version 1.00 - initial version
# History: 
#  Date     by                description change
#  14.10.08 Kryazhev, Sergey  initial version

if [ -z "$1" ]; then 
  echo "Usage: $0 <command>" 
  exit 1
fi  

SCRIPT_NAME=`/bin/basename $1`

if [ $# -ne 1 ];then
  parm=$*
  #remove first parameter(command name) from arguments if there is more than one of them
  parm=${parm#* }
else
  parm=""
fi

case $SCRIPT_NAME in 
  stty)
    /bin/stty -F /dev/ttyS0 $parm
    ;;
  
  consoleShow)
    /bin/stty -F /dev/ttyS0
    ;;

  *)
    ;;

esac
