#!/bin/bash
# this script creates template for sftp-jail: set of files and directories that
# are required for correct working of jail. These files are copied to the 
# directory passed as a parameter for this script.

JAILPATH=$1

APPS="/usr/libexec/openssh/sftp-server /bin/bash /sbin/runuser"
if [ ! -d ${JAILPATH} ]; then
   /bin/mkdir -p ${JAILPATH}
fi
cd ${JAILPATH}
JAILDIRS="dev etc etc/pam.d bin usr/lib sbin lib usr"
for directory in ${JAILDIRS} ; do
  if [ ! -d "${JAILPATH}/${directory}" ] ; then
    /bin/mkdir -p ${JAILPATH}/${directory}
  fi
done

# Creating necessary devices
[ -r ${JAILPATH}/dev/urandom ] || /bin/mknod ${JAILPATH}/dev/urandom c 1 9
[ -r ${JAILPATH}/dev/null ]    || /bin/mknod -m 666 ${JAILPATH}/dev/null    c 1 3
[ -r ${JAILPATH}/dev/zero ]    || /bin/mknod -m 666 ${JAILPATH}/dev/zero    c 1 5
[ -r ${JAILPATH}/dev/tty ]     || /bin/mknod -m 666 ${JAILPATH}/dev/tty     c 5 0

#create temporary file
TMPFILE=`/bin/mktemp` &> /dev/null
# Copy the apps and the related libs
for app in ${APPS};  do
    if [ -x ${app} ]; then
        app_path=`/usr/bin/dirname ${app}`
        if ! [ -d .${app_path} ]; then
            /bin/mkdir -p .${app_path}
        fi
        /bin/cp --preserve -p ${app} ${JAILPATH}/${app}
        /usr/bin/ldd ${app} >> ${TMPFILE}
    fi
done

for lib in `/bin/cat ${TMPFILE}`; do
   first_char="`/bin/echo ${lib} | /bin/cut -c1`"
   if [ "${first_char}" = "/" ]; then
     /bin/mkdir -p .`/usr/bin/dirname ${lib}` > /dev/null 2>&1
     /bin/cp --preserve ${lib} .${lib}
   fi
done

#copy required libs
/bin/cp --preserve /lib/libnss_compat.so.2 /lib/libnsl.so.1 /lib/libnss_files.so.2 /lib/ld-linux.so.2 /lib/libnss_dns.so.2 ${JAILPATH}/lib/
/bin/cp --preserve /usr/lib/libcrack.so.2 ${JAILPATH}/usr/lib/
/bin/cp --preserve /etc/pam.d/runuser* ${JAILPATH}/etc/pam.d/
/bin/cp --preserve -r /lib/security ${JAILPATH}/lib/
/bin/cp --preserve -r /etc/security ${JAILPATH}/etc/

/bin/chmod -R ga+rX ${JAILDIRS}

