## @file patches_target.pm
# @brief This module contains common variables and functions required for
#        Linux Base patching facility.
# @details none
# @author Alex Arkhipov
# @author Evgeny Lazarev
# @author Vladimir Ivanov
# @date May 2008
# @version 1.00 - Initial version
# @version 1.01 - some patch function added
# @version 1.02 - $PATCHDIR and $PATCHEXT variables added
# @version 1.05 - function 'check_pkg' is modified in order to support the Base Applications patching
# @version 1.06 - Digest module added to calculate the md5 checksum
# @version 1.07 - All data were moved into patchutil/patches_target.pm file. This is fake package
# @note
package patches_target;
use lib "/opt/nortel/base/lib";
use patchutil::patches_target;

use Exporter;
our @ISA    = qw(Exporter);
our @EXPORT = qw(
  &get_full_patch_file &get_patch_filename &check_pkg
  &get_patch_info &get_patch_attr &get_patch_md5sum
  $patch_dir $specins_dir $handles $handles_elements $base_release_name $grubconf $module_base_dir
  $update_grub $rpm_command $mercury_sign $kernel_numbers $boot_timeout %patch_fields $OUT_SERV
  $IN_SERV $modinfo $IN_SERV_REBOOT $OUT_SERV_REBOOT $ALL_PATCHES $ALL_IN_SERVICE $KERNEL_RPM
  $UPDATE_RPM $PATCH_RPM $PATCHDIR $PATCHEXT @orig_app_rpms
  );

$patch_dir         = $PATCH_DIR;
$specins_dir       = $SPECINS_DIR;
$handles           = $HANDLES;
$handles_elements  = $HANDLES_ELEMENTS;
$base_release_name = $BASE_RELEASE_NAME;
$grubconf          = $GRUBCONF;
$module_base_dir   = $MODULE_BASE_DIR;
$update_grub       = $UPDATE_GRUB;
$rpm_command       = $RPM_COMMAND;
$mercury_sign      = $MERCURY_SIGN;
$kernel_numbers    = $KERNEL_NUMBERS;
$boot_timeout      = $BOOT_TIMEOUT;
%patch_fields      = %PATCH_FIELDS;
$modinfo           = $MODINFO;
@orig_app_rpms     = @ORIG_APP_RPMS;

1;
