#############################################################
## @file target_common.pm
# @brief Common data and interfaces for all Linux Base tools
# @details
# @author
# @version 1.00 - Initial version
# @version 1.02 - The following subroutines were added by Kate Pestova:
#                 - signals_ignore()
#                 - signals_default()
# @version 1.10 - CS1000 Linux Base Release 6 design. It were made changes in
#                 the constants. The next subroutines were added:
#                 @li is_hash
#                 @li is_code
#                 @li is_array
#                 @li invoke_subroutine_safely
# @version 1.11 - The next variables and subroutines were added:
#                 @li RECOVER_HOMES_SCRIPT
#                 @li BACKUP_HOMES_SCRIPT
#                 @li is_user_exist
# @version 1.12 - get rid of global variables $APP_INSTALLED and $APP_VERSION.
#                 use_confver function is modified.
# @version 1.13 - function pos_in_array added. 
# @version 2.00 - All subroutines were moved into common_functions library.
#                 All variables were moved into common_variables library.
#                 This fake package is produced old functionality.
# @version 2.01 - Added $CLEANUP_PATCHDIR to @EXPORT.

package target_common;
use lib "/opt/nortel/base/lib";
use common_functions;
use common_variables;
our $VERSION = 2.01;

use Exporter;
our @ISA    = qw(Exporter);
our @EXPORT = qw(
  &system_installation_init &parse_configs &use_confver &is_right_user &do_co_stdin
  &is_debug_mode &status_success &status_failure &add_sudo_cmd &prepare_command_to_run_as
  &print_pod_usage &is_hash &is_array &is_code &invoke_subroutine_safely &is_user_exist
  &signals_ignore &signals_default &cmp_hashes &is_install_stage &pos_in_array
  $TRUE $FALSE $OK $ERROR $APP_CFG_ROOT $APPLCFG $BASE_CONFIG_DIR $NORTEL_CRON_CONF
  $LOGDIR $BACKUPDIR $ADMIN_PARTITION $SAVESTDIN $SYSLOG_CFG_FILE $FUNCTIONS_LIB $REL_NAME
  $BASE_REL_NAME $INSTALLEDCONFIG $CONFVER $BASEAPPCONFVER $INSTCFG $BASEAPPINSTCFG $BASEAPPDIR
  $APPINSTALL $BASEFIRSTBOOTUP $MOTDFILE $RMT_DEPLOY_CMD $BASESYSINFO $DEPLOYMENTCFG $BASEOSPROP
  $ARCHDIR $ARCHVER $RPMBACKUP $UPGRADE_BACKUP $UPGRADE_RESTORE $LBINFO $CLEAR_BACKUP $APP_SERVICE
  $APP_DEPLOY $DHCPD_CONFIG $IF_CTRL $IF_UP $IF_DOWN $BASIC_HARDENIG_REAPPLY_POST_PATCHING
  $SHOW_BACKUP_INFO $SRV_START $SRV_STOP $SRV_STATUS $SRV_RESTART $SRV_RELOAD $SRV_ON $SRV_OFF
  $BASE_APPS $DEBUG_MODE $APP_INSTALLED $APP_VERSION $APP_PARTIAL $MAN_CENTER $MAN_RELEASE
  $SENDSNMPTRAP $ALARM $APPSTARTUP $AWK $BASH $CAT $CHATTR $CHMOD $CHOWN $CLEAR $CP $CRONTAB
  $CHRT $CHKCONFIG $DATE $DF $ECHO $EJECT $FIND $GENCRONTAB $GREP $GZIP
  $HEAD $HOSTNAME $HWCLOCK $IFCONFIG $IPTABLES $KILLALL $LN $LS $LSATTR $MAN $MD5SUM $MKDIR
  $MKNOD $MOUNT $MV $NETSTAT $NEWALIASES $NICE $NM $NROFF $PASSWD $PARTED $PERL $PING $PING6
  $POD2MAN $PS $PWD $READLINK $REBOOT $RLOGIN $RM $ROUTE $RPM $RPMQUERY $RUNUSER $SCP $SED
  $SERVICE $SSH $STTY $SH $SU $SUDO $SUDOEDIT $SUDO_NORTEL $SYNC $SYSBACKUP $SYSCTL $TAIL
  $TAR $TOUCH $UMOUNT $UNAME $UNZIP $WALL $USERDEL $USERHELPER $USERMOD
  $WC $WHOAMI $ZIP $NORTEL_UID $NORTEL_GID $ROOT_UID $NORTEL_ACCT $DEPLOY_ACCT $ROOT_ACCT
  $DEPLOY_ACCT $ROOT_ACCT $ROOT_GID $RECOVER_HOMES_SCRIPT $BACKUP_HOMES_SCRIPT $SYSRESTORE
  $SYSBACKUPUTIL $FSTAB $PARTITIONS $RMT_UPGRADE_CMD $RMT_UNDEPLOY_CMD $KCV $ACCOUNTS_CFG
  $SMCRYPT $USERADD $RBASH $DMESG $BASERECOVERY_FLAG $TEST 
  $FIREWALL_RULES_FILE $NORTEL_GRP $ROOT_GRP $MASTER_CFG_ROOT $MASTERCFG $CLEANUP_PATCHDIR
  );

1;
